#include "DemoPlugin.h"
#include "DemoFactory.h"


namespace ImFusion
{
	DemoPlugin::DemoPlugin()
	{
		m_algFactory = new DemoAlgorithmFactory;
		m_algCtrlFactory = new DemoControllerFactory;
	}


	DemoPlugin::~DemoPlugin()
	{
	}


	const ImFusion::AlgorithmFactory* DemoPlugin::getAlgorithmFactory()
	{
		return m_algFactory;
	}


	const ImFusion::AlgorithmControllerFactory* DemoPlugin::getAlgorithmControllerFactory()
	{
		return m_algCtrlFactory;
	}
}
